<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Travel Ultimate Pro
* @since Travel Ultimate Pro 1.0.0
*/

if ( ! function_exists( 'travel_ultimate_pro_validate_long_excerpt' ) ) :
  function travel_ultimate_pro_validate_long_excerpt( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travel-ultimate-pro' ) );
     } elseif ( $value < 5 ) {
         $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'travel-ultimate-pro' ) );
     } elseif ( $value > 100 ) {
         $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'travel-ultimate-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'travel_ultimate_pro_validate_slider_count' ) ) :
  function travel_ultimate_pro_validate_slider_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travel-ultimate-pro' ) );
     } elseif ( $value < 3 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'travel-ultimate-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 6', 'travel-ultimate-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'travel_ultimate_pro_validate_event_count' ) ) :
  function travel_ultimate_pro_validate_event_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travel-ultimate-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'travel-ultimate-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 4', 'travel-ultimate-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'travel_ultimate_pro_validate_testimonial_count' ) ) :
  function travel_ultimate_pro_validate_testimonial_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travel-ultimate-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'travel-ultimate-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'travel-ultimate-pro' ) );
     }
     return $validity;
  }
endif;
